
%define		module	numarray

Summary:	Array manipulation and computations for python
Summary(pl.UTF-8):	Operacje i obliczenia na tablicach dla Pythona
Name:		python-%{module}
Version:	1.5.2
Release:	7
License:	GPL-like
Group:		Development/Languages/Python
Source0:	http://dl.sourceforge.net/numpy/%{module}-%{version}.tar.gz
# Source0-md5:	d2ecfc60fe4869c328b872540d04e0f7
Source1:	http://dl.sourceforge.net/numpy/%{module}-1.5.pdf
# Source1-md5:	922731aeb775b1f5eb3a0622750314e1
Patch0:		%{name}-includes.patch
Patch1:		%{name}-python25.patch
Patch2:		%{name}-refcount.patch
URL:		http://www.stsci.edu/resources/software_hardware/numarray
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	python
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Numarray provides array manipulation and computational capabilities
similar to those found in IDL, Matlab, or Octave. Using numarray, it
is possible to write many efficient numerical data processing
applications directly in Python without using any C, C++ or Fortran
code (as well as doing such analysis interactively within Python or
PyRAF). For algorithms that are not well suited for efficient
computation using array facilities it is possible to write C functions
(and eventually Fortran) that can read and write numarray arrays that
can be called from Python.

Numarray is a re-implementation of an older Python array module called
Numeric. In general its interface is very similar. It is mostly
backward compatible and will be becoming more so in future releases.

%description -l pl.UTF-8
Numarray zapewnia narzędzia do operacji oraz obliczeń na tablicach
podobne do tych, jakie zapewniają IDL, Matlab czy Octabe. Używając
numarray możliwe jest stworzenie bezpośrednio w Pythonie, nie używając
wstawek C, C++ czy Fortranowych, wielu wydajnych aplikacji do
przetwarzania danych numerycznych. Dla algorytmów, które nie pracują
wydajnie z tablicami, możliwe jest napisanie funkcji C, które mogą
czytać i zapisywać tablice numarray, i które mogą być wywoływane z
poziomu Pythona.

Numarray jest ponowną implementacją starszego modułu Pythona -
Numeric. Interfejsy tych modułów są do siebie bardzo podobne. Numarray
jest w większości przypadków kompatybilny wstecz, a sytuacja poprawi
się w nowszych wersjach.

%package devel
Summary:	Header files for python-numarray
Summary(pl.UTF-8):	Pliki nagłówkowe dla python-numarray
Group:		Development/Libraries

%description devel
Header files for python-numarray.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla python-numarray.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0
cp %{SOURCE1} .

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

find $RPM_BUILD_ROOT%{py_sitedir} -name '*.py' | \
	grep -v examples | \
	xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt *.pdf
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*

%files devel
%defattr(644,root,root,755)
%dir %{py_incdir}/%{module}
%{py_incdir}/%{module}/*
%changelog
* Thu Dec 29 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-numarray.git;a=log;h=master

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 05f06d6
- python 3.6
- release 7 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 39e6ccb
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 74024e5
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8a8583f
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b34fd2
- release 5 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 9b414ff
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6860e06
- release 4

* Mon Nov 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 59d6bcc
- rel 3; fixes from gentoo

* Mon Nov 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b708b20
- from gentoo

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ba25632
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0a81a3d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 54c204d
- converted to UTF-8

* Sat Sep 02 2006 Robert Tomasik <rotom@pld-linux.org> 1ef15d4
- up to 1.5.2

* Mon Aug 28 2006 cieciwa <cieciwa@pld-linux.org> 64f322d
- release 2 - to build with new python.

* Sat Feb 11 2006 Robert Tomasik <rotom@pld-linux.org> 3d5cb03
- updated doc to 1.5 in .pdf file
- added new doc path

* Fri Feb 10 2006 Robert Tomasik <rotom@pld-linux.org> f95c664
- up to 1.5.1

* Mon Jan 23 2006 piti <piti@pld-linux.org> 7a03112
- up to 1.5.0

* Wed Nov 02 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> a244ea1
- up to 1.4.1

* Sun Jun 26 2005 Jakub Bogusz <qboosh@pld-linux.org> ceb70cb
- pl cosmetics

* Thu Jun 23 2005 leafnode <leafnode@pld-linux.org> 2f36135
- import

